1. Event Types
Jicoo Developer Potal
  • Create powerful apps with Jicoo's API
  • Quick start
  • Errors
  • Versioning
  • Types
  • API Reference Overview
  • Authentication
  • Guide
    • How to use webhook
    • How to use Account integration
    • Jicoo MCP Server Setup Guide
    • Add the Jicoo MCP Server to Claude
    • Add the Jicoo MCP Server to Claude Code
    • Add the Jicoo MCP Server to Codex
    • Add the Jicoo MCP Server to Gemini CLI
  • Guide(Japanese)
    • アカウント連携の使い方
    • Webhookの使い方
    • ホストの優先度を更新する方法
    • Jicoo MCP Serverの使い方
    • Jicoo MCP サーバ セットアップガイド
    • Jicoo MCP サーバを Claude に追加する
    • Jicoo MCP サーバを Claude Code に追加する
    • Jicoo MCP サーバを Codex に追加する
    • Jicoo MCP サーバを Gemini CLI に追加する
  • API Reference
    • Jicoo API
    • Webhook Schema
      • Webhook schema
      • event property
      • createdAt property
      • object property
      • contact property
      • answers property
      • answers items property
      • tracking property
    • Booking
      • List Bookings
      • Get Booking
      • Cancel Booking
      • Reschedule Booking
      • Create Booking
      • Update Booking
      • Get Booking Contacts
      • Confirm booking request
      • Decline booking request
      • Automatically reassign booking host
      • Reassign booking host
    • Schedule
      • Update Schedule
      • Create Schedule
      • List Schedules
      • Delete Schedule
    • Availability
      • List User Availability Calendars
      • Get User Availability Calendar
    • Oraganization
      • User
        • List Organization Users
        • Delete Organization User
        • Get Organization User
        • Update Organization User
      • Invitation
        • Create Organiztion Invitation
        • List Organization Invitations
        • Get Organization Invitation
        • Delete Organiztion Invitation
      • Get Organization Team
    • Event Types
      • Get Event Type
        GET
      • List Event Types
        GET
      • List Event Type Hosts
        GET
      • Get Event Type Available Schedules
        GET
      • Account Integration
        POST
      • Update Event Type Host
        PATCH
      • Delete Event Type Host
        DELETE
      • Create Event Type Host
        POST
      • Delete Event Type Host Assign Rule
        DELETE
      • Update Event Type Host Assign Rule
        PATCH
      • Create Event Type Host Assign Rule
        POST
      • List Event Type Host Assign Rules
        GET
      • Update an event type
        PATCH
      • Create an event type
        POST
      • Delete an event type
        DELETE
      • Get Event Type Notification
        GET
      • Update Event Type Notification
        PATCH
    • Webhook Endpoints
      • List webhook endpoints
      • Create a webhook endpoint
      • Get a webhook endpoint
      • Update a webhook endpoint
      • Delete a webhook endpoint
    • Booking Meeting Intelligence
      • List recordings for a booking
      • List transcripts for a booking
      • List recaps for a booking
    • User
      • Busy Times
      • Get current user profile
      • Update current user profile
      • Update current user profile image
      • Get current user settings
      • Update current user settings
      • List user busy times
    • Conferencing
      • List conferencing connections
      • Connect conferencing provider
      • Disconnect conferencing connection
    • Routing Form
      • List routing forms
      • Get routing form
      • Create routing form response
      • Update routing form response
  • Schemas
    • Booking
    • OrganizationUser
    • OrganizationInvitation
    • UserAvailabilityCalendar
    • OrganizationTeam
    • EventType
    • Host
    • Pagination
    • AvailableSchedule
    • EventTypeCreateRequest
    • BookingRecording
    • EventTypeUpdateRequest
    • BookingTranscriptSpeakerTimelineSegment
    • BookingRecapSummary
    • BookingRecapRisk
    • BookingTranscript
    • EventTypeUpdateLocation
    • GeneratedEventTypeUpdateRequest
    • EventTypeDetail
    • WebhookEndpointPublicCreateBody
    • EventTypeCreateEventType
    • BookingRecordingResponse
    • BookingTranscriptResponse
    • BookingRecap
    • WebhookEndpointPublicUpdateBody
    • ErrorEnvelope
    • EventTypeUserUpdate
    • EventTypeCreateLocation
    • WebhookEndpointCreateResponse
    • EventTypeUpdateForm
    • EventTypeUserCreate
    • BookingRecapResponse
    • EventTypeNotification
    • EventTypeCalendarCreateBody
    • WebhookEndpoint
    • EventTypeUpdateHostAssignRule
    • EventTypeUpdateWorkflow
    • EventTypeCalendarCreate
    • EventTypeSettingCreateBody
    • EventFormCreateBody
    • EventTypeTransparencyKeywordCreateBody
    • EventTypeCreateHostAssignRule
    • Schedule
    • EmptySuccessResponse
    • ErrorResponse
    • Booking Contact
    • HostAssignRule
    • ConferencingProvider
    • BookingReassignParams
    • ConferencingConnectBody
    • ConferencingConnectResponse
    • ConferencingConnectionItem
    • RoutingFormPublicDetailItem
    • RoutingFormPublicListItem
    • RoutingFormPublicWorkflowItem
    • RoutingFormResponseAnswerInput
    • RoutingFormResponseBody
    • RoutingFormResponseResult
    • RoutingFormResponseUpdateBody
    • UsersMeProfile
    • UsersMeProfilePatchBody
    • UsersMeSettings
    • UsersMeSettingsPatchBody
  1. Event Types

Get Event Type Notification

GET
/v1/event_types/{eventTypeId}/notification
The Get Event Type Notification API retrieves the notification templates of an event type. These are the same values shown in the Calendar Invitation block of the Workflow tab in the Jicoo dashboard.
If the plan of the team no longer includes notification templates, the template values are returned as null. If the event type is assigned from a booking page template that locks the workflow settings, the values of that template are returned.

Request

Authorization
Add parameter in header
X-Jicoo-Api-Key
Example:
X-Jicoo-Api-Key: ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/event_types//notification' \
--header 'X-Jicoo-Api-Key: <api-key>'

Responses

🟢200Success
application/json
Success
Bodyapplication/json

Example
{
    "data": {
        "calendarInviteTitle": "{{event_name}} / {{contact_company_and_name}}",
        "calendarInviteBody": "Please join from the URL below at the scheduled time."
    },
    "errors": {}
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠405Method Not Allowed
🔴500
Modified at 2026-08-28 09:43:16
Previous
Delete an event type
Next
Update Event Type Notification
Built with